%define oname plasma-workspace-wallpapers

Summary:	Plasma 5 wallpapers
Name:		plasma5-workspace-wallpapers
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
Suggests:	plasma5-wallpaper-autumn
Suggests:	plasma5-wallpaper-bythewater
Suggests:	plasma5-wallpaper-coldripple
Suggests:	plasma5-wallpaper-eveningglow
Suggests:	plasma5-wallpaper-colorfulcups
Suggests:	plasma5-wallpaper-darkesthour
Suggests:	plasma5-wallpaper-fallenleaf
Suggests:	plasma5-wallpaper-flyingkonqui
Suggests:	plasma5-wallpaper-grey
Suggests:	plasma5-wallpaper-kite
Suggests:	plasma5-wallpaper-onestandsout
Suggests:	plasma5-wallpaper-pastelhills
Suggests:	plasma5-wallpaper-path
BuildArch:	noarch

%description
Plasma 5 wallpapers.

%files

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-autumn
Summary:	Plasma 5 Autumn wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-autumn
Plasma 5 Autumn wallpaper.

%files -n plasma5-wallpaper-autumn
%dir %{_kde5_datadir}/wallpapers/Autumn/
%{_kde5_datadir}/wallpapers/Autumn/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-bythewater
Summary:	Plasma 5 Bythe Water wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-bythewater
Plasma 5 Bythe Water wallpaper.

%files -n plasma5-wallpaper-bythewater
%dir %{_kde5_datadir}/wallpapers/BytheWater/
%{_kde5_datadir}/wallpapers/BytheWater/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-coldripple
Summary:	Plasma 5 Cold Ripple wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-coldripple
Plasma 5 Cold Ripple wallpaper.

%files -n plasma5-wallpaper-coldripple
%dir %{_kde5_datadir}/wallpapers/ColdRipple/
%{_kde5_datadir}/wallpapers/ColdRipple/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-eveningglow
Summary:	Plasma 5 Evening Glow wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-eveningglow
Plasma 5 Evening Glow wallpaper.

%files -n plasma5-wallpaper-eveningglow
%dir %{_kde5_datadir}/wallpapers/EveningGlow/
%{_kde5_datadir}/wallpapers/EveningGlow/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-colorfulcups
Summary:	Plasma 5 Colorful Cups wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-colorfulcups
Plasma 5 Colorful Cups wallpaper.

%files -n plasma5-wallpaper-colorfulcups
%dir %{_kde5_datadir}/wallpapers/ColorfulCups/
%{_kde5_datadir}/wallpapers/ColorfulCups/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-darkesthour
Summary:	Plasma 5 Darkest Hour wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-darkesthour
Plasma 5 Darkest Hour wallpaper.

%files -n plasma5-wallpaper-darkesthour
%dir %{_kde5_datadir}/wallpapers/DarkestHour/
%{_kde5_datadir}/wallpapers/DarkestHour/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-fallenleaf
Summary:	Plasma 5 Fallen Leaf wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-fallenleaf
Plasma 5 Fallen Leaf wallpaper.

%files -n plasma5-wallpaper-fallenleaf
%dir %{_kde5_datadir}/wallpapers/FallenLeaf/
%{_kde5_datadir}/wallpapers/FallenLeaf/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-flyingkonqui
Summary:	Plasma 5 Flying Konqui wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-flyingkonqui
Plasma 5 Flying Konqui wallpaper.

%files -n plasma5-wallpaper-flyingkonqui
%dir %{_kde5_datadir}/wallpapers/FlyingKonqui/
%{_kde5_datadir}/wallpapers/FlyingKonqui/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-grey
Summary:	Plasma 5 Grey wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-grey
Plasma 5 Grey wallpaper.

%files -n plasma5-wallpaper-grey
%dir %{_kde5_datadir}/wallpapers/Grey/
%{_kde5_datadir}/wallpapers/Grey/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-kite
Summary:	Plasma 5 Kite wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-kite
Plasma 5 Kite wallpaper.

%files -n plasma5-wallpaper-kite
%dir %{_kde5_datadir}/wallpapers/Kite/
%{_kde5_datadir}/wallpapers/Kite/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-onestandsout
Summary:	Plasma 5 One Stands Out wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-onestandsout
Plasma 5 One Stands Out wallpaper.

%files -n plasma5-wallpaper-onestandsout
%dir %{_kde5_datadir}/wallpapers/OneStandsOut/
%{_kde5_datadir}/wallpapers/OneStandsOut/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-pastelhills
Summary:	Plasma 5 Pastel Hills wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-pastelhills
Plasma 5 Pastel Hills wallpaper.

%files -n plasma5-wallpaper-pastelhills
%dir %{_kde5_datadir}/wallpapers/PastelHills/
%{_kde5_datadir}/wallpapers/PastelHills/*

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-path
Summary:	Plasma 5 Path wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-path
Plasma 5 Path wallpaper.

%files -n plasma5-wallpaper-path
%dir %{_kde5_datadir}/wallpapers/Path/
%{_kde5_datadir}/wallpapers/Path/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (5070820) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (3c0be78) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (aa7b029) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (7e2bdd7) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (af029b6) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (a649b7f) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (c6b456f) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (bd850a6) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (58ed19d) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (488b584) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (72b479d) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (6ff913a) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (83c1a27) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (c6d3383) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (e612f32) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (4757403) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (807099d) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (2d5e704) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (98935ba) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (ee11c88) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (511eb21) Replace old wallpapers with Plasma 5.5 wallpaper contest winners
- (Andrey Bondrov: 7ec947e) New version 5.5.2

* Sat Nov 21 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (f319f06) Upload proper tarball (re-pack from git by tag)
- (Andrey Bondrov: d508f3a) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (a37ebde) Add Evening Glow wallpaper
- (Andrey Bondrov: 53b5a76) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (e2600ad) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (956185c) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (3c0f1e7) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (12ba231) New version 5.3.2


